package org.openjdk.gcbench.alloc.plain;

import org.openjdk.gcbench.util.ratelimit.MultiTokenBucket;
import org.openjdk.jmh.annotations.*;

import java.util.concurrent.TimeUnit;

@BenchmarkMode(Mode.AverageTime)
@OutputTimeUnit(TimeUnit.NANOSECONDS)
@State(Scope.Benchmark)
public class RefArray {

    @Param({"1"})
    int size;

    @Benchmark
    public Object test() {
        return new Object[size];
    }

}
